USE Weather

INSERT INTO VersionWeatherDB (Version) VALUES ("11.4.1s");

DESC Barometer;

ALTER TABLE Barometer MODIFY COLUMN Pressure DECIMAL(8,3) NULL;

DESC Barometer;

DESC Rain;

ALTER TABLE Rain MODIFY COLUMN IncrementalRain DECIMAL(7,2) NULL;
ALTER TABLE Rain MODIFY COLUMN Rate DECIMAL(7,2) NULL;
ALTER TABLE Rain MODIFY COLUMN ET DECIMAL(7,3) NULL;

DESC Rain;

DESC Hourly;

ALTER TABLE Hourly MODIFY COLUMN Barometer DECIMAL(8,3) NULL;
ALTER TABLE Hourly MODIFY COLUMN RainRate DECIMAL(7,2) NULL;

DESC Hourly;

DESC Avg15Min;

ALTER TABLE Avg15Min MODIFY COLUMN BaroPressureRpt DECIMAL(8,3) NULL;
ALTER TABLE Avg15Min MODIFY COLUMN BaroPressureCalc DECIMAL(8,3) NULL;

DESC Avg15Min;

DESC DHL;

ALTER TABLE DHL MODIFY COLUMN BarometerHigh DECIMAL(8,3) NULL;
ALTER TABLE DHL MODIFY COLUMN BarometerLow DECIMAL(8,3) NULL;
ALTER TABLE DHL MODIFY COLUMN HourlyBarometerHigh DECIMAL(8,3) NULL;
ALTER TABLE DHL MODIFY COLUMN HourlyBarometerLow DECIMAL(8,3) NULL;
ALTER TABLE DHL MODIFY COLUMN TotalRain DECIMAL(8,2) NULL;
ALTER TABLE DHL MODIFY COLUMN TotalET DECIMAL(8,3) NULL;
ALTER TABLE DHL MODIFY COLUMN RainRateHigh DECIMAL(7,2) NULL;

DESC DHL;

DESC MHL;

ALTER TABLE MHL MODIFY COLUMN BarometerHigh DECIMAL(8,3) NULL;
ALTER TABLE MHL MODIFY COLUMN BarometerLow DECIMAL(8,3) NULL;
ALTER TABLE MHL MODIFY COLUMN TotalRain DECIMAL(8,2) NULL;
ALTER TABLE MHL MODIFY COLUMN TotalET DECIMAL(8,3) NULL;
ALTER TABLE MHL MODIFY COLUMN RainRateHigh DECIMAL(7,2) NULL;

DESC MHL;

DESC YHL;

ALTER TABLE YHL MODIFY COLUMN BarometerHigh DECIMAL(8,3) NULL;
ALTER TABLE YHL MODIFY COLUMN BarometerLow DECIMAL(8,3) NULL;
ALTER TABLE YHL MODIFY COLUMN TotalRain DECIMAL(8,2) NULL;
ALTER TABLE YHL MODIFY COLUMN TotalET DECIMAL(8,3) NULL;
ALTER TABLE YHL MODIFY COLUMN RainRateHigh DECIMAL(7,2) NULL;

DESC YHL;

DESC Temperature;

ALTER TABLE Temperature ADD COLUMN F CHAR(1) NOT NULL AFTER HeatIndex;

DESC Temperature;

DESC Barometer;

ALTER TABLE Barometer ADD COLUMN F CHAR(1) NOT NULL AFTER TrendImage;

DESC Barometer;

DESC Wind;

ALTER TABLE Wind ADD COLUMN F CHAR(1) NOT NULL AFTER WindRoseDirection;

DESC Wind;

DESC Rain;

ALTER TABLE Rain ADD COLUMN F CHAR(1) NOT NULL AFTER ET;

DESC Rain;

DESC Storms;

ALTER TABLE Storms ADD COLUMN F CHAR(1) NOT NULL AFTER HighestRateDT;

DESC Storms;

DESC Hourly;

ALTER TABLE Hourly ADD COLUMN F CHAR(1) NOT NULL AFTER ET;

DESC Hourly;

UPDATE VersionWeatherDB SET Version = "11.4.1" WHERE Version = "11.4.1s";

SOURCE WeatherDB_Upgrade_11.4_to_11.5.sql;

