USE Weather

ALTER TABLE VersionWeatherDB ADD COLUMN InsertTS TIMESTAMP NOT NULL AFTER Version;

INSERT INTO VersionWeatherDB (Version) VALUES ("11.2.0s");

DESC Solar;

ALTER TABLE Solar CHANGE COLUMN Minutes MinutesRad SMALLINT(5) UNSIGNED NULL;

ALTER TABLE Solar ADD COLUMN UV SMALLINT(5) NULL AFTER MinutesRad;

ALTER TABLE Solar ADD COLUMN MinutesUV SMALLINT(5) UNSIGNED NULL AFTER UV;

DESC Solar;

DESC DHL;

ALTER TABLE DHL ADD COLUMN UVHigh SMALLINT(5) NULL AFTER SolarRadHigh;

ALTER TABLE DHL ADD COLUMN DewPointHigh SMALLINT(6) NULL AFTER ETDayTotal;

ALTER TABLE DHL ADD COLUMN DewPointLow SMALLINT(6) NULL AFTER DewPointHigh;

ALTER TABLE DHL ADD COLUMN THSWHigh SMALLINT(6) NULL AFTER DewPointLow;

ALTER TABLE DHL ADD COLUMN UVHighDT DATETIME NULL AFTER SolarRadHighDT;

ALTER TABLE DHL ADD COLUMN DewPointHighDT DATETIME NULL AFTER ETDayTotalDT;

ALTER TABLE DHL ADD COLUMN DewPointLowDT DATETIME NULL AFTER DewPointHighDT;

ALTER TABLE DHL ADD COLUMN THSWHighDT DATETIME NULL AFTER DewPointLowDT;

DESC DHL;

DESC MHL;

ALTER TABLE MHL ADD COLUMN UVHigh SMALLINT(5) NULL AFTER SolarRadHigh;

ALTER TABLE MHL ADD COLUMN DewPointHigh SMALLINT(6) NULL AFTER ETDayTotal;

ALTER TABLE MHL ADD COLUMN DewPointLow SMALLINT(6) NULL AFTER DewPointHigh;

ALTER TABLE MHL ADD COLUMN THSWHigh SMALLINT(6) NULL AFTER DewPointLow;

ALTER TABLE MHL ADD COLUMN UVHighDT DATETIME NULL AFTER SolarRadHighDT;

ALTER TABLE MHL ADD COLUMN DewPointHighDT DATETIME NULL AFTER ETDayTotalDT;

ALTER TABLE MHL ADD COLUMN DewPointLowDT DATETIME NULL AFTER DewPointHighDT;

ALTER TABLE MHL ADD COLUMN THSWHighDT DATETIME NULL AFTER DewPointLowDT;

DESC MHL;

DESC YHL;

ALTER TABLE YHL ADD COLUMN UVHigh SMALLINT(5) NULL AFTER SolarRadHigh;

ALTER TABLE YHL ADD COLUMN DewPointHigh SMALLINT(6) NULL AFTER ETDayTotal;

ALTER TABLE YHL ADD COLUMN DewPointLow SMALLINT(6) NULL AFTER DewPointHigh;

ALTER TABLE YHL ADD COLUMN THSWHigh SMALLINT(6) NULL AFTER DewPointLow;

ALTER TABLE YHL ADD COLUMN UVHighDT DATETIME NULL AFTER SolarRadHighDT;

ALTER TABLE YHL ADD COLUMN DewPointHighDT DATETIME NULL AFTER ETDayTotalDT;

ALTER TABLE YHL ADD COLUMN DewPointLowDT DATETIME NULL AFTER DewPointHighDT;

ALTER TABLE YHL ADD COLUMN THSWHighDT DATETIME NULL AFTER DewPointLowDT;

DESC YHL;

DESC DT;

ALTER TABLE DT MODIFY bTT BIGINT UNSIGNED NOT NULL;

DESC DT;

DESC IndexDT;

ALTER TABLE IndexDT ADD INDEX rtCaptureTime (rtCaptureTime);

DESC IndexDT;

UPDATE VersionWeatherDB SET Version = "11.2.0" WHERE Version = "11.2.0s";

SOURCE WeatherDB_Upgrade_11.2_to_11.4.sql;

